/*
 *  Brno University of Technology
 *
 *  Copyright (C) 2009-2010 by Brno University of Technology and the contributors
 *
 *  Complete list of developers available at our web site:
 *
 *       http://spl.utko.feec.vutbr.cz
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package cz.vutbr.feec.imageprocessing.op.featureExtraction;

/** Holds records of feature values */
public class Feature {
	private String name;
	private Object value;
	private FeatureType type;
	private int ontology;

	public Feature(String name2, Object value2, int ontology, FeatureType type) {
		this.name = name2;
		this.value = value2;
		this.type = type;
		this.ontology = ontology;
	}

	public String getName() {
		return name;
	}

	public int getOntology() {
		return ontology;
	}

	public FeatureType getType()
	{
		return type;
	}

	public Object getValue() {
		return value;
	}

	public boolean isSpecial() {
		return FeatureType.SPECIAL.equals(type);
	}

	public boolean isLabel() {
		return FeatureType.LABEL.equals(type);
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setType(FeatureType type) {
		this.type = type;
	}

	public void setValue(double value) {
		this.value = value;
	}
}