/*
 *  Brno University of Technology
 *
 *  Copyright (C) 2009-2010 by Brno University of Technology and the contributors
 *
 *  Complete list of developers available at our web site:
 *
 *       http://spl.utko.feec.vutbr.cz
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package cz.vutbr.feec.imageprocessing.op.featureExtraction;

import java.util.List;

import com.rapidminer.operator.OperatorDescription;
import com.rapidminer.operator.OperatorException;
import com.rapidminer.parameter.ParameterType;

/**
 * The Class Pixel Value returns value of pixel in center of current window.
 * 
 */
public class PixelValue extends BaseImageOperator {
	//private static final String PARAM_REAL_WINDOW_SIZE = "window_size";

	public PixelValue(OperatorDescription description) {
		super(description);
	}

	@Override
	public void doWork() throws OperatorException {
		// delete all previous records
		clearFeatures();
		double res = getCentralPixel(0, 0);

		// add feature
		setFeature("intensity", res);

		// deliver output
		outExSet.deliver(features);
	}

	@Override
	public List<ParameterType> getParameterTypes() {
		List<ParameterType> types = super.getParameterTypes();
//		types.add(new ParameterTypeInt(PARAM_REAL_WINDOW_SIZE, "window size",
//				2, 99999, 2));
		return types;
	}
}
